nvme_directive_send(2)

NAME
nvme_directive_send - Send directive command

SYNOPSIS
int nvme_directive_send (struct nvme_directive_send_args *args );

ARGUMENTS

args
    struct nvme_directive_send_args argument structure

DESCRIPTION
Directives is a mechanism to enable host and NVM subsystem or controller information exchange. The Directive Send command transfers data related to a specific Directive Type from the host to the controller.

See the NVMe specification for more information.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.